# GstPlayerGMainContextSignalDispatcher

    GObject
        ╰──GstPlayerGMainContextSignalDispatcher

### Class structure

#### GstPlayerGMainContextSignalDispatcherClass

### GstPlayer.PlayerGMainContextSignalDispatcherClass

## GstPlayer.PlayerGMainContextSignalDispatcher

    GObject.Object
        ╰──GstPlayer.PlayerGMainContextSignalDispatcher

## GstPlayer.PlayerGMainContextSignalDispatcher

    GObject.Object
        ╰──GstPlayer.PlayerGMainContextSignalDispatcher

### Functions

#### gst_player_g_main_context_signal_dispatcher_new

    GstPlayerSignalDispatcher *
    gst_player_g_main_context_signal_dispatcher_new (GMainContext * application_context)

Creates a new GstPlayerSignalDispatcher that uses application_context, or the thread default one if NULL is used. See gst_player_new.

Parameters:

`application_context` ( [allow-none]) –

GMainContext to use or NULL

Returns ( [transfer: full]) –

the new GstPlayerSignalDispatcher

#### GstPlayer.PlayerGMainContextSignalDispatcher.prototype.new

    function GstPlayer.PlayerGMainContextSignalDispatcher.prototype.new(application_context: GMainContext (not introspectable)): {
        // javascript wrapper for 'gst_player_g_main_context_signal_dispatcher_new'
    }

Creates a new GstPlayerSignalDispatcher that uses application_context, or the thread default one if null is used. See GstPlayer.Player.prototype.new.

Parameters:

`application_context` (GMainContext (not introspectable)) –

GMainContext to use or null

Returns (GstPlayer.PlayerSignalDispatcher) –

the new GstPlayerSignalDispatcher

#### GstPlayer.PlayerGMainContextSignalDispatcher.new

    def GstPlayer.PlayerGMainContextSignalDispatcher.new (application_context):
        #python wrapper for 'gst_player_g_main_context_signal_dispatcher_new'

Creates a new GstPlayerSignalDispatcher that uses application_context, or the thread default one if None is used. See GstPlayer.Player.new.

Parameters:

`application_context` (GMainContext (not introspectable)) –

GMainContext to use or None

Returns (GstPlayer.PlayerSignalDispatcher) –

the new GstPlayerSignalDispatcher

### Properties

#### application-context

    “application-context” GMainContext *

Flags : Read / Write / Construct Only

#### application-context

    “application-context” GMainContext (not introspectable)

Flags : Read / Write / Construct Only

#### application_context

    “self.props.application_context” GMainContext (not introspectable)

Flags : Read / Write / Construct Only

## Function Macros

### GST_PLAYER_G_MAIN_CONTEXT_SIGNAL_DISPATCHER_CAST

    #define GST_PLAYER_G_MAIN_CONTEXT_SIGNAL_DISPATCHER_CAST(obj)        ((GstPlayerGMainContextSignalDispatcher*)(obj))

The results of the search are